## ros-indigo-rqt-py-console 0.4.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rqt_py_console)
# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED)
catkin_package()
catkin_python_setup()

install(FILES plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY resource
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(PROGRAMS scripts/rqt_py_console
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-indigo-rqt-py-console (0.4.8-0trusty) trusty; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 28 Apr 2017 07:00:00 -0000

ros-indigo-rqt-py-console (0.4.7-0trusty) trusty; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Thu, 02 Mar 2017 08:00:00 -0000

ros-indigo-rqt-py-console (0.4.6-0trusty) trusty; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 27 Feb 2017 08:00:00 -0000

ros-indigo-rqt-py-console (0.4.5-0trusty) trusty; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 03 Feb 2017 08:00:00 -0000

ros-indigo-rqt-py-console (0.4.4-0trusty) trusty; urgency=high

  * use Python 3 compatible syntax (#421 <https://github.com/ros-visualization/rqt_common_plugins/pull/421>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 24 Jan 2017 08:00:00 -0000

ros-indigo-rqt-py-console (0.4.3-0trusty) trusty; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 02 Nov 2016 07:00:00 -0000

ros-indigo-rqt-py-console (0.4.2-0trusty) trusty; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 19 Sep 2016 07:00:00 -0000

ros-indigo-rqt-py-console (0.4.1-0trusty) trusty; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 16 May 2016 07:00:00 -0000

ros-indigo-rqt-py-console (0.4.0-0trusty) trusty; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#359 <https://github.com/ros-visualization/rqt_common_plugins/pull/359>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 27 Apr 2016 07:00:00 -0000

ros-indigo-rqt-py-console (0.3.13-0trusty) trusty; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 08 Mar 2016 08:00:00 -0000

ros-indigo-rqt-py-console (0.3.12-0trusty) trusty; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 24 Jul 2015 07:00:00 -0000

ros-indigo-rqt-py-console (0.3.11-0trusty) trusty; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Thu, 30 Apr 2015 07:00:00 -0000

ros-indigo-rqt-py-console (0.3.10-0trusty) trusty; urgency=high

  * update plugin scripts to use full name to avoid future naming collisions

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 01 Oct 2014 07:00:00 -0000

ros-indigo-rqt-py-console (0.3.9-0trusty) trusty; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 18 Aug 2014 07:00:00 -0000

ros-indigo-rqt-py-console (0.3.8-0trusty) trusty; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 15 Jul 2014 07:00:00 -0000

ros-indigo-rqt-py-console (0.3.7-0trusty) trusty; urgency=high

  * export architecture_independent flag in package.xml (#254 <https://github.com/ros-visualization/rqt_common_plugins/issues/254>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 11 Jul 2014 07:00:00 -0000

ros-indigo-rqt-py-console (0.3.6-0trusty) trusty; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 02 Jun 2014 07:00:00 -0000

ros-indigo-rqt-py-console (0.3.5-0trusty) trusty; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 07 May 2014 07:00:00 -0000

ros-indigo-rqt-py-console (0.3.4-0trusty) trusty; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 28 Jan 2014 08:00:00 -0000

ros-indigo-rqt-py-console (0.3.3-0trusty) trusty; urgency=high

  * add groups for rqt plugins, renamed some plugins (#167 <https://github.com/ros-visualization/rqt_common_plugins/issues/167>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 08 Jan 2014 08:00:00 -0000

ros-indigo-rqt-py-console (0.3.2-0trusty) trusty; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 14 Oct 2013 07:00:00 -0000

ros-indigo-rqt-py-console (0.3.1-0trusty) trusty; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 09 Oct 2013 07:00:00 -0000

ros-indigo-rqt-py-console (0.3.0-0trusty) trusty; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 28 Aug 2013 07:00:00 -0000

ros-indigo-rqt-py-console (0.2.17-0trusty) trusty; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Thu, 04 Jul 2013 07:00:00 -0000

ros-indigo-rqt-py-console (0.2.16-0trusty) trusty; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 09 Apr 2013 20:33:00 -0000

ros-indigo-rqt-py-console (0.2.15-0trusty) trusty; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 09 Apr 2013 07:02:00 -0000

ros-indigo-rqt-py-console (0.2.14-0trusty) trusty; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Thu, 14 Mar 2013 07:00:00 -0000

ros-indigo-rqt-py-console (0.2.13-0trusty) trusty; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 12 Mar 2013 05:14:00 -0000

ros-indigo-rqt-py-console (0.2.12-0trusty) trusty; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 11 Mar 2013 20:56:00 -0000

ros-indigo-rqt-py-console (0.2.11-0trusty) trusty; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 08 Mar 2013 08:00:00 -0000

ros-indigo-rqt-py-console (0.2.10-0trusty) trusty; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 22 Jan 2013 08:00:00 -0000

ros-indigo-rqt-py-console (0.2.9-0trusty) trusty; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Thu, 17 Jan 2013 08:00:00 -0000

ros-indigo-rqt-py-console (0.2.8-0trusty) trusty; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 11 Jan 2013 08:00:00 -0000

ros-indigo-rqt-py-console (0.2.7-0trusty) trusty; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 24 Dec 2012 08:00:00 -0000

ros-indigo-rqt-py-console (0.2.6-0trusty) trusty; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Sun, 23 Dec 2012 08:00:00 -0000

ros-indigo-rqt-py-console (0.2.5-0trusty) trusty; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Sat, 22 Dec 2012 03:11:00 -0000

ros-indigo-rqt-py-console (0.2.4-0trusty) trusty; urgency=high





=== debian/control ===
Source: ros-indigo-rqt-py-console
Section: misc
Priority: extra
Maintainer: Dorian Scholz <scholz@sim.tu-darmstadt.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://wiki.ros.org/rqt_py_console
Standards-Version: 3.9.2

Package: ros-indigo-rqt-py-console
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-rospkg, ros-indigo-python-qt-binding (>= 0.2.19), ros-indigo-qt-gui, ros-indigo-qt-gui-py-common, ros-indigo-rospy, ros-indigo-rqt-gui, ros-indigo-rqt-gui-py
Description: rqt_py_console is a Python GUI plugin providing an interactive Python console.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rqt-py-console//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
